Skip to main content
GET
/
folders
/
{folder_token}
Get folder by token
curl --request GET \
  --url https://api.vantage.sh/v2/folders/{folder_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "fldr_3653e0f460786b1e",
  "title": "intermediate",
  "parent_folder_token": "fldr_b6bf120a1d3a794b",
  "created_at": "2023-09-12T05:07:36Z",
  "updated_at": "2023-09-12T05:07:36Z",
  "workspace_token": "wrkspc_a707105ff54966c3"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

folder_token
string
required

Response

Folder model

token
string
required
title
string | null
required

The title of the Folder.

Example:

"Platform Team Reports"

type
string
required

The type of the Folder.

saved_filter_tokens
string[]
required

The tokens for the SavedFilters assigned to the Folder.

created_at
string
required

The date and time, in UTC, the Folder was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the Folder was last updated at. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

workspace_token
string
required

The token for the Workspace the Folder is a part of.

parent_folder_token
string | null

The token for the parent Folder, if any.